package com.quantumdigital.ithelp.timeanalyzer

import com.jdbernard.timeanalyzer.Entry
import com.jdbernard.timeanalyzer.Event

public class TicketEntry extends Entry {

    public int id

    public TicketEntry(TicketCategory category, Event e) {
        super(category, e)

        def m = e.description =~ /^ITHelp:\s*(.*#(\d+).*)$/
        this.description = m[0][1]
        this.id = m[0][2] as int
    }
}
